Subject: [bitcoin-dev] BIP174 PSBT test vector

From: Tobin Harding <[email-masked]>
Date: Wed, 6 Apr 2022 08:55:18 +1000

Hi,

Does anyone have software that successfully parses the extended private key seed
found in the BIP174 test vector? I have been implementing the test vector PSBT
workflow in Rust and have everything working except I can only create the
extended private key from the xpriv, I am unable to use the seed to create it?

BIP174: https://github.com/bitcoin/bips/blob/master/bip-0174.mediawiki#test-vectors

PSBT workflow in BIP174 starting at the line:

  "The private keys in the tests below are derived from the following master private key:"

xpriv:

  tprv8ZgxMBicQKsPd9TeAdPADNnSyH9SSUUbTVeFszDE23Ki6TBB5nCefAdHkK8Fm3qMQR6sHwA56zqRmKmxnHk37JkiFzvncDqoKmPWubu7hDF

seed:

  cUkG8i1RFfWGWy5ziR11zJ5V4U4W3viSFCfyJmZnvQaUsd1xuF3T

I've tried decoding it as base64 and as base58.

Thanks in advance,
Tobin.